Page MenuHomePhabricator

Custom error should supplement rather than replace error messages
Closed, ResolvedPublic

Description

The custom error message that can be entered into the Translate section should either supplement (rather than replace) the error messages provided by SecurePoll, or an additional field to allow for supplementation rather than replacement should be added.

Event Timeline

Varnent created this task.May 21 2015, 4:20 PM
Varnent updated the task description. (Show Details)
Varnent raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2015, 4:20 PM
Fhocutt set Security to None.
Fhocutt added a comment.EditedJul 31 2015, 7:19 PM

What was the rationale behind handling errors this way? As it is, some errors are handled through the standard message/i18n system, and only unqualified-error is handled through the separate SecurePoll translation system. Is there a need for a customizable error?

However, it is easy to get the two errors to show up as a bulleted list.

Jalexander added a comment.EditedJul 31 2015, 7:27 PM

So right now the unqualified-error actually 'replaces' other errors which
is a bit odd and sometimes cloberrs important 'reasons' for being denied.
Allowing us to use it as a supplement (so get added to the automatic error)
is useful because it allows you to add in election specific information
like where to go or who to contact if you're having problems.

Change 228402 had a related patch set uploaded (by Fhocutt):
Add custom error to "unqualified" error list instead of replacing

https://gerrit.wikimedia.org/r/228402

Change 228431 had a related patch set uploaded (by Fhocutt):
T99768: Render wikicode in custom error messages, display multiple errors

https://gerrit.wikimedia.org/r/228431

Change 228402 abandoned by Fhocutt:
Add custom error to "unqualified" error list instead of replacing

Reason:
See https://gerrit.wikimedia.org/r/#/c/228431/

https://gerrit.wikimedia.org/r/228402

Change 228431 merged by jenkins-bot:
T99768: Render wikicode in custom error messages, display multiple errors

https://gerrit.wikimedia.org/r/228431

Fhocutt closed this task as Resolved.Aug 6 2015, 8:04 PM
Fhocutt removed a project: Patch-For-Review.